packagesearch (2.8.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:35 +1100

packagesearch (2.8.1build2) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:54:36 +0000

packagesearch (2.8.1build1) noble; urgency=medium

  * No-change rebuild against libapt-pkg6.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2024 19:22:05 +0000

packagesearch (2.8.1) unstable; urgency=medium

  * updated copyright to GPL-3 
    - removed spanish translation because I could not reach copyright
      holder  
  * introduced machine readable copyright file
  * Copyright fixes Closes: #1050896

 -- Benjamin Mesing <ben@debian.org>  Sun, 07 Jan 2024 12:45:11 +0100

packagesearch (2.8.0) unstable; urgency=low

  * updated to QT6
  * switched to CMake build system
  * dropped dependency to tagcoll

 -- Benjamin Mesing <ben@debian.org>  Sun, 18 Sep 2022 17:23:39 +0200

packagesearch (2.7.11) unstable; urgency=medium

  *  Prepare for QT5.12, Closes: #930678 

 -- Benjamin Mesing <ben@debian.org>  Thu, 04 Jul 2019 19:03:41 +0200

packagesearch (2.7.10) unstable; urgency=medium

  * fixed build because of included Makefile 

 -- Benjamin Mesing <ben@debian.org>  Fri, 19 Oct 2018 21:50:28 +0200

packagesearch (2.7.9) unstable; urgency=medium

  * fixed build because of CHAR_WIDTH

 -- Benjamin Mesing <ben@debian.org>  Fri, 28 Sep 2018 16:32:54 +0200

packagesearch (2.7.8) unstable; urgency=medium

  * fix build for non-amd64, second try

 -- Benjamin Mesing <ben@debian.org>  Sat, 04 Nov 2017 19:52:14 +0100

packagesearch (2.7.7) unstable; urgency=medium

  * fix build on QT5 (Closes: #880356)

 -- Benjamin Mesing <ben@debian.org>  Wed, 01 Nov 2017 21:35:41 +0100

packagesearch (2.7.6) unstable; urgency=low

  * updated to QT5, Closes: #875079
  * do not show short description in long description field

 -- Benjamin Mesing <ben@debian.org>  Sun, 01 Oct 2017 22:49:32 +0200

packagesearch (2.7.5) unstable; urgency=medium

  * fixed compile bugs against latest libept (Closes: #798143, #798808)

 -- Benjamin Mesing <ben@debian.org>  Sun, 20 Sep 2015 20:51:40 +0200

packagesearch (2.7.4) unstable; urgency=low

  * removed reference to ept::axi an ept::popcon(Closes: #727627)
  * updated dependency to latest version of libwibble (>=1 << 2)

 -- Benjamin Mesing <ben@debian.org>  Mon, 28 Oct 2013 17:27:02 +0100

packagesearch (2.7.3) unstable; urgency=low

  * fixed packagesearch to show the correct long description (Closes: #676812)

 -- Benjamin Mesing <bensmail@gmx.net>  Thu, 28 Jun 2012 23:00:34 +0200

packagesearch (2.7.2) unstable; urgency=low

  * changed RunCommandInXterm to use /usr/bin/uxterm, because
    only there I can guarantee consistent behaviour (Closes: #676811)
  * make apt default package management tool
  * inform user to configure to use apt if aptitude
    is not available (Closes: #676810)
  * fixed several multiarch issues

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 12 Jun 2012 21:03:37 +0200

packagesearch (2.7.1) unstable; urgency=medium

  * changed debian build infrastructure to use debhelper

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 20 May 2012 11:45:28 +0200

packagesearch (2.7) unstable; urgency=high

  * compiled against latest version of libept/libapt (Closes: #669215)
  * fixed compiler error caused by xapian having a slots member 
    variable (Closes: #639076)
  * added support for displaying the "Homepage" field (Closes: #598193)
  * Implemented support for viewing screenshots

 -- Benjamin Mesing <bensmail@gmx.net>  Sat, 19 May 2012 21:40:09 +0200

packagesearch (2.6) unstable; urgency=low

  * New upstream release
    - explicitly list all required libraries (Closes: #555881) 
    - use apt-xapian as search backend (significantly faster)
    - searching for similar packages is now based on full text description
    - ported to libept 1.0 (Closes: #581003) 

 -- Benjamin Mesing <bensmail@gmx.net>  Sat, 03 Jul 2010 21:31:05 +0200

packagesearch (2.5) unstable; urgency=low

  * New upstream release
     - Command execution should now work on dash (and any other 
	    posix conform shell) when finished successfully or unsuccessfully 
		 (Closes: #539255)
     - changed dependency on libept-dev >= 0.5.22 with fixed package 
	    iteration this should fix #442310 (Closes: #442310)
     - other bugfixes and improvements (see CHANGELOG file)

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 08 Nov 2009 10:01:40 +0100

packagesearch (2.4) unstable; urgency=low

  * New upstream release
     - prevent crashes when underlying libept changes (Closes: #439938)
     - reduced height of entries in the package list (Closes: #470554)
     - allow selecting between apt and aptitude for installation
     - fixed typos in README (Closes: #471921)

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 25 Jun 2008 11:01:06 +0200

packagesearch (2.3) unstable; urgency=medium

  * New upstream release (fully ported to QT4)
     - compiled against latest libapt (Closes: #466888)
     - fixed text formatting issue of "Package Description" (Closes: #424913)
     - fixed Makefiles to zero out QMAKE_LFLAGS (removes --no-undefined)
       so that the plugins compile again (Closes: #458884)
     - fixed build-script for manpage (Closes: #458577)
     - tag selection is now triggered by double-clicking (Closes: #447261)
     - updated section for menu entry (changed in recent policy)

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 02 Mar 2008 10:20:28 +0100

packagesearch (2.2.6) unstable; urgency=medium

  * ported to libept > 0.5.1 (Closes: #429005) (thanks Enrico)
  * corrected rule to build makefile (Closes: #418770)

 -- Benjamin Mesing <bensmail@gmx.net>  Sat, 14 Jul 2007 17:26:26 +0200

packagesearch (2.2.5) unstable; urgency=low

  * fixed crash when selecting non-existent package (caused by the
    debtags plugin, Closes: #408051)

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 23 Jan 2007 11:30:15 +0100

packagesearch (2.2.4) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Sun,  3 Dec 2006 15:24:36 +0100

packagesearch (2.2.3) unstable; urgency=low

  * New upstream release
     - delete line ending when reading from apt-file list and 
       apt-file search/dpkg -S (Closes: #398692)

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 15 Nov 2006 08:47:20 +0100

packagesearch (2.2.2) unstable; urgency=low

  * Bugfix release
     - added build dependency on libept >= 0.4.4 which no longer throws an exception 
       if there is no user .debtags directory available (Closes: #395568),
       also added dependency on apt >= 0.6.46.1, which should remedy failures
       in loading the apt-plugin (Closes: #395568)

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 31 Oct 2006 18:29:29 +0100

packagesearch (2.2.1) unstable; urgency=low

  * does not use apt-index-watcher any more, uses debtags update --reindex 
    instead

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 25 Oct 2006 20:23:21 +0200

packagesearch (2.2) unstable; urgency=medium

  * New upstream release
      - uses libept as new backend (instead of libapt-front)
        Closes: #389462 debtags handling is improved in libept
      - added build dependency onto additional -dev library packages
        libsqlite0-dev libglib2.0-dev required by libqt4 4.2 (Closes: #391933)

 -- Benjamin Mesing <bensmail@gmx.net>  Sat,  9 Oct 2006 23:00:45 +0200

packagesearch (2.1.1-0.1) unstable; urgency=medium
   
   * NMU for release critical bug.
   * Move docbook-to-man from Build-Depends to Build-Depends-Indep
     (Closes: #389150, #389237).
     
 -- Thijs Kinkhorst <thijs@debian.org>  Fri,  6 Oct 2006 14:24:41 +0200
 
packagesearch (2.1.1) unstable; urgency=low

  * Bug fix release
     - adds a .desktop file (Closes: #319875, 382197)
     - use x-terminal-emulator instead of hard coded xterm
     - show the part before the : for grouped tags
     - build-depends on libapt-front 0.3.10 since this one builds fine on
       all architectures, and fixes a bug in the vocabulary processing
       

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 17 Sep 2006 10:59:31 +0200

packagesearch (2.1) unstable; urgency=low

  * New upstream release
     - removed obsolete instantiation.cpp file (Closes: #357355, 
       already fixed before in NMU)
     - switched backend to use libapt-front in main program and
       relevant plugins (Closes: #364551, #348493)
     - prepared for gcc 4.1 (Closes: #369424)
     - checks for debtags availability before trying to open (Closes: #355625)

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 1 June 2006 13:49:02 +0100


packagesearch (2.0.6-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix duplicate template instantiation, thanks to Ben Hutchings and Martin
    Michlmayr.  (Closes: #357355, #360553).
  * Urgency set to high due to RC bug fix.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 25 May 2006 15:27:25 +0200

packagesearch (2.0.6) unstable; urgency=low

  * build depend on libmysqlclient15-dev now (Closes: #343788)
  * fixed crashes when using filesearch or listing for non-installed files

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 13 Feb 2006 11:34:02 +0100

packagesearch (2.0.5) unstable; urgency=medium

  * don't try to load a non-available icon for the application (Closes: #346565)
  * if /usr/X11R6/bin/xterm is not found try /usr/bin/xterm (Closes: #346560)

 -- Benjamin Mesing <bensmail@gmx.net>  Mon,  9 Jan 2006 16:43:19 -0500

packagesearch (2.0.4) unstable; urgency=low

  * New upstream release
  * removed arm, hppa and m68k workarounds (closes #343013)

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 11 Dec 2005 19:37:41 -0500

packagesearch (2.0.3) unstable; urgency=low

  * changed makefile to fix FTBS on arm, hppa and m68k (should close 
    #329884)

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 17 Oct 2005 10:14:11 -0400

packagesearch (2.0.2) unstable; urgency=low

  * New upstream release
     - changed debtags plugin to use apt-front as backend (thanks Enrico :-)
     - linking against new libtagcoll and new libapt-front should finally
       close bug 324032, because they contain PIC code
     - added workaround for gcc bug, which should close 329884 
        -> did not work

 -- Benjamin Mesing <bensmail@gmx.net>  Thu, 29 Sep 2005 13:09:35 +0200

packagesearch (2.0.1) unstable; urgency=low

  * bugfix release 
     - forward and backward icons now displayed 
     - build-dep on libmysql15-dev and libtagcoll-pic added

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 11 Sep 2005 12:15:14 +0200

packagesearch (2.0) unstable; urgency=low

  * his links against the -pic versions of debtags/tagcoll,
    I am not sure if this closes bug 324032, but I believe so -
    checking back with the submitter
  * linked against the latest version of libapt (Closes: #323939)
  * New upstream release 

 -- Benjamin Mesing <bensmail@gmx.net>  Fri,  9 Sep 2005 13:54:08 +0200

packagesearch (1.3) unstable; urgency=low

  * removed dependency to libapt (Closes: #316628)
  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 29 Jun 2005 21:14:01 +0200

packagesearch (1.2) unstable; urgency=low

  * New upstream release (excerpt from the changelog file)
    - added --help and --version options (Closes: #299015)
    - fixed display of command output (correct handling of CR/LF and CR only,
      no unneccesary scrolling) (Closes: #299015)
      Thanks to Ross Boylan for his bug reports

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 22 Mar 2005 11:07:09 +0100

packagesearch (1.1) unstable; urgency=low

  * New upstream release 
  * the new version comes with a new backend not using libapt any more
    but using the kpackage approach of parsing the output of apt-get dumpavail 
    now (Closes: #291761) 

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 14 Mar 2005 11:19:20 +0100

packagesearch (1.0.1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Fri, 21 Jan 2005 16:13:13 +0100

packagesearch (1.0) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 31 Oct 2004 14:04:01 +0100

packagesearch (0.6) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 21 Sep 2004 15:18:07 +0200

packagesearch (0.5) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 16 Aug 2004 15:16:41 +0200

packagesearch (0.4.1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Wed,  4 Aug 2004 14:28:50 +0200

packagesearch (0.4) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Tue,  3 Aug 2004 20:35:59 +0200

packagesearch (0.3) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 28 Jul 2004 13:37:56 +0200

packagesearch (0.2) unstable; urgency=low

  * New upstream release 

 -- Benjamin Mesing <bensmail@gmx.net>  Thu, 15 Jul 2004 14:42:14 +0200

packagesearch (0.1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Sun,  6 Jun 2004 16:25:19 +0200

packagesearch (0.0.3) unstable; urgency=low

  * 

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 26 May 2004 18:48:02 +0200

packagesearch (0.0.2-1) unstable; urgency=low

  * Initial Release.
  * 

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 27 Apr 2004 19:40:58 +0200

